import { inspector } from "../addMarker/inspector";
import { trouble } from "../addMarker/trouble";
import { video } from "../addMarker/video";
import { alarm } from "../addMarker/alarmDevice";
import { detectorOnly } from "../addMarker/detectorOnly";
import { ranqi } from "../addMarker/ranqiDevice"
export const DEVICE_TYPE = {
  PIPEPLINE: {type:"1",iconImage:"",packageMarkerJs:""},
  REGEULATORBOX: {type:"2",iconImage:require("../../assets/images/tiaoyaxiang.svg"),packageMarkerJs:ranqi},
  VALUEWELL: {type:"3",iconImage:require("../../assets/images/famenjing.svg"),packageMarkerJs:ranqi},
  FLOWMETER: {type:"4",iconImage:require("../../assets/images/liuliangji.svg"),packageMarkerJs:ranqi},
  DUTYPERSON: {type:"5",iconImage:require("../../assets/images/zhibanrenyuan.svg"),packageMarkerJs:""},
  WORKORDER: {type:"6",iconImage:require("../../assets/images/zhibanrenyuan.svg"),packageMarkerJs:""},
  PRESSUREGAGE: {type:"7",iconImage:require("../../assets/images/yalibiao.svg"),packageMarkerJs:ranqi},
  INSPECTOR: {type:"8",iconImage:require("../../assets/images/zhibanrenyuan.jpg"),packageMarkerJs:inspector},
  SMALLINSPECTOR: {type:"workPoint",iconImage:require("../../assets/images/zhibanrenyuan.svg"),packageMarkerJs:""},
  TROUBLE: {type:"trouble",iconImage:require("../../assets/images/trouble.png"),packageMarkerJs:trouble},
  VIDEO: {type:"10",iconImage:require("../../assets/images/shexiangtou.svg"),packageMarkerJs:video},
  // 家用报警器
  DETECTOR_FM: {type:"11",iconImage:require("../../assets/images/detctor/jiayong.svg"),packageMarkerJs:alarm},
  // 商用报警器
  DETECTOR_CM: {type:"12",iconImage:require("../../assets/images/detctor/shangye.svg"),packageMarkerJs:alarm},
  // 工业报警器
  DETECTOR_NT: {type:"13",iconImage:require("../../assets/images/detctor/gongye.svg"),packageMarkerJs:alarm},
  // 报警器用户的单独的报警器
  DETECTOR_ONLY: {type:"detector_only",iconImage:require("../../assets/images/detctor/baojingquan.svg"),packageMarkerJs:detectorOnly}
};
