import { DEVICE_TYPE } from "../constants/markerConstants";

/**
 * 策略模式设置marker信息
 * @param markerType marker类型
 * @param marker
 * @param data mark隐藏数据
 * @param infoWindow  窗体
 * @param gaoMap 高德地图对象
 */
export function addMarkerInfo(markerType,marker,data,infoWindow,gaoMap) {
  for(var key in DEVICE_TYPE){
    if(markerType == DEVICE_TYPE[key].type){
      console.log(markerType,"======fsfdsffggg")
      //设置marker图标
      setMarkerIcon(marker,DEVICE_TYPE[key].iconImage);
      //设置marker事件
      DEVICE_TYPE[key].packageMarkerJs.setMarkerEvent(markerType,marker,data,infoWindow,gaoMap);
    }
  }
}

/**
 * 自定义marker图标
 * @param marker
 * @param image icon图标
 */
function setMarkerIcon(marker,image) {
  var icon = new AMap.Icon({
    image: image
  });
  marker.setIcon(icon);
}

