import {map} from "../gaodeMapView";
import createPop from "../createPop";
// 三个报警器
import detectorInfoWindow from "../../components/PopWindowGis/detectorInfoWindow.vue";

export const alarm = {
  gaoMap:{},
  /**
   * 设置报警器事件
   * @param markerType
   * @param marker
   * @param data
   * @param infoWindow
   * @param gaoMap
   */
  setMarkerEvent : function(markerType,marker,data,infoWindow,gaoMap){
    this.gaoMap = gaoMap;
    gaoMap.detectorOpen = this.detectorOpen;
    marker.markerType = markerType;
    marker.data = data;
    marker.infoWindow = infoWindow;
    marker.on("mousedown", this.detectorOpen);
    marker.setExtData(data);
    if(!gaoMap.detectors){
      gaoMap.detectors = [];
    }
    gaoMap.detectors.push(marker);
  },
  // 三种报警器
  detectorOpen : function(e){
    console.log(e.target,"fsfdsfd");
    alarm.gaoMap.markerType = e.target.markerType;
    e.target.content = alarm.getMarketContent(e.target.data);
    e.target.infoWindow.setContent(e.target.content);
    e.target.infoWindow.open(map, e.target.getPosition());
    alarm.gaoMap.boxCollision(e.target.infoWindow.dom);
    alarm.gaoMap.detectorOpenInfoWindow = e.target.infoWindow;
  },
  getMarketContent : function (data) {
    data.class = alarm.gaoMap;
    const dom = createPop(detectorInfoWindow, {
      title: "detector",
      data: data,
      map: alarm.gaoMap.myMap
    });
    const html = dom.$el;
    dom.remove();
    return html;
  }
};
